重装yum (python升级导致yum不能用)

在CentOS 6.1 原来的Python为2.6,后来安装了python2.7和3.4,然后yum就不能再用了。 本来,只有修改一下/usr/bin/yum文件的第一行,将python的路径改为2.6的即可 (#!/usr/bin/python2.6),...

在CentOS 6.1 原来的Python为2.6,后来安装了python2.7和3.4,然后yum就不能再用了。

本来,只有修改一下/usr/bin/yum文件的第一行,将python的路径改为2.6的即可 (#!/usr/bin/python2.6),但我却删除了yum,然后就折腾了一整天,就是为了要重装yum

其中的弯路就不写了,现在要重装基于python2.6的yum(64位的系统)

首先下载下面的包,然后再安装,安装时不要一个一个的装,不然会出错,可以批量安装。

PackageKit-0.5.8-26.el6.x86_64.rpm             

PackageKit-yum-0.5.8-26.el6.x86_64.rpm         

PackageKit-glib-0.5.8-26.el6.x86_64.rpm        

PackageKit-yum-plugin-0.5.8-26.el6.x86_64.rpm  

PackageKit-gtk-module-0.5.8-26.el6.x86_64.rpm  

packagekit-gtk-module-1.1.6-2.mga6.x86_64.rpm  

yum-3.2.29-81.el6.centos.noarch.rpm

yum-metadata-parser-1.1.2-16.el6.x86_64.rpm

yum-plugin-fastestmirror-1.1.30-41.el6.noarch.rpm

python-iniparse-0.3.1-2.1.el6.noarch.rpm
-----
安装
rpm -i yum* python-iniparse-0.3.1-2.1.el6.noarch.rpm
rpm -i PackageKit-*
------

然后再修改 /usr/bin/yum 的第一行将python路径改为2.6即可了。

  • 发表于 2019-03-18 18:40
  • 阅读 ( 255 )
  • 分类:网络文章

条评论

请先 登录 后评论
不写代码的码农
小编

篇文章

作家榜 »

  1. 小编 文章
返回顶部
部分文章转自于网络,若有侵权请联系我们删除